Package mvpa :: Package featsel :: Module helpers :: Class ElementSelector

[hide private]
[frames] | no frames]

# Class ElementSelector

source code

Base class to implement functors to select some elements based on a sequence of values.

Nested Classes | [hide private]

Inherited from `misc.state.ClassWithCollections`: `__metaclass__`

Instance Methods | [hide private]

__init__(self, mode='discard', **kwargs) Cheap initialization. | source code

_setMode(self, mode) Choose `select` or `discard` mode. | source code

__call__(self, seq) Implementations in derived classed have to return a list of selected element IDs based on the given sequence. | source code

Inherited from `misc.state.ClassWithCollections`: `__getattribute__`, `__new__`, `__repr__`, `__setattr__`, `__str__`, `reset` Inherited from `object`: `__delattr__`, `__format__`, `__hash__`, `__reduce__`, `__reduce_ex__`, `__sizeof__`, `__subclasshook__`

Class Variables | [hide private]

| ndiscarded = `StateVariable(True, doc= "Store number of discard`...``
| mode = `property(fget= lambda self: self.__mode, fset= _setMode)`
Inherited from `misc.state.ClassWithCollections`: `_DEV__doc__`, `descr`

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### __init__(self, mode='discard', **kwargs)
(Constructor)

source code

Cheap initialization.

Parameters:
  - `mode` (['discard', 'select']) - Decides whether to `select` or to `discard` features.
Overrides: object.__init__

Class Variable Details | [hide private]

### ndiscarded

Value:

      StateVariable(True, doc= "Store number of discarded elements.")